New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

support for mutter 3.29+ missing #120

Open
decathorpe opened this Issue Jun 8, 2018 · 0 comments

Comments

Projects
None yet
1 participant
@decathorpe
Copy link
Contributor

decathorpe commented Jun 8, 2018

The added compositor code was probably based on gala before support for mutter 3.29+ was added, and hence support for the current development version / next stable version of mutter is missing.

meson configure output:

The Meson build system
Version: 0.46.1
Source dir: /builddir/build/BUILD/pantheon-greeter-3.2.0+git180608.081009.c193bacf
Build dir: /builddir/build/BUILD/pantheon-greeter-3.2.0+git180608.081009.c193bacf/x86_64-redhat-linux-gnu
Build type: native build
Project name: io.elementary.greeter
Native C compiler: cc (gcc 8.1.1 "cc (GCC) 8.1.1 20180502 (Red Hat 8.1.1-1)")
Appending CFLAGS from environment: '-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
Appending LDFLAGS from environment: '-Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
Native Vala compiler: valac (valac 0.40.6)
Appending LDFLAGS from environment: '-Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
Build machine cpu family: x86_64
Build machine cpu: x86_64
Found pkg-config: /usr/bin/pkg-config (1.4.2)
Native dependency glib-2.0 found: YES 2.56.1
Configuring config.vala using configuration
Native dependency clutter-gtk-1.0 found: YES 1.8.4
Native dependency gdk-pixbuf-2.0 found: YES 2.36.12
Native dependency gdk-x11-3.0 found: YES 3.22.30
Native dependency gl found: YES 18.1.1
Native dependency granite found: YES 0.5
Native dependency liblightdm-gobject-1 found: YES 1.26.0
Native dependency wingpanel-2.0 found: YES 2.0
Native dependency x11 found: YES 1.6.5
Library posix found: YES
Library m found: YES
Native dependency gio-2.0 found: YES 2.56.1
Native dependency gio-unix-2.0 found: YES 2.56.1
Native dependency gmodule-2.0 found: YES 2.56.1
Native dependency gtk+-3.0 found: YES 3.22.30
Dependency gdk-x11-3.0 found: YES (cached)
Native dependency gee-0.8 found: YES 0.20.1
Library m found: YES
Native dependency gnome-desktop-3.0 found: YES 3.28.2
Dependency libmutter found: NO
Dependency libmutter found: NO
Dependency libmutter found: NO
Dependency libmutter-0 found: NO
Dependency libmutter-1 found: NO
Native dependency libmutter-2 found: NO found '3.29.2' but need: '< 3.29' ; matched: '>= 3.27'
Dependency libmutter-2 found: NO
compositor/meson.build:120:1: ERROR:  Problem encountered: No supported mutter library found!

Want to back this issue? Post a bounty on it! We accept bounties via Bountysource.

@worldofpeace worldofpeace referenced this issue Oct 17, 2018

Open

elementary: init a 5.0 Juno #48637

6 of 6 tasks complete
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment